# Generated by Django 2.2.16 on 2020-10-27 16:38

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('memberships', '0012_auto_20200902_1545'),
        ('corporate_memberships', '0024_corporatemembershiptype_require_approval'),
        ('directories', '0017_auto_20201028_1946'),
    ]

    operations = [
        migrations.CreateModel(
            name='AffiliateRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_dt', models.DateTimeField(auto_now_add=True, verbose_name='Created On')),
                ('creator', models.ForeignKey(default=None, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('from_directory', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='from_directory', to='directories.Directory')),
                ('to_directory', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='to_directory', to='directories.Directory')),
            ],
        ),
        migrations.CreateModel(
            name='RequestEmail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('recipients', models.CharField(blank=True, default='', max_length=255)),
                ('message', models.TextField()),
                ('create_dt', models.DateTimeField(auto_now_add=True, verbose_name='Created On')),
                ('affiliate_request', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='directories.AffiliateRequest', related_name='request_emails')),
                ('creator', models.ForeignKey(default=None, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='affiliate_requestemail_creator', to=settings.AUTH_USER_MODEL)),
                ('sender', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='AllowedConnection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('corp_type', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='corporate_memberships.CorporateMembershipType')),
                ('member_types', models.ManyToManyField(to='memberships.MembershipType')),
            ],
            options={
                'ordering': ('corp_type',),
            },
        ),
    ]
